package com.pusong.business.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.annotation.SaIgnore;
import com.pusong.business.domain.bo.PsCustomCallbackBo;
import com.pusong.business.domain.bo.PsCustomInfoBo;
import com.pusong.business.domain.bo.PsCustomPriceBo;
import com.pusong.business.domain.vo.PsCustomInfoVo;
import com.pusong.business.domain.vo.PsCustomerRecordVo;
import com.pusong.business.service.IPsCustomInfoService;
import com.pusong.common.core.domain.R;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.idempotent.annotation.RepeatSubmit;
import com.pusong.common.log.annotation.Log;
import com.pusong.common.log.enums.BusinessType;
import com.pusong.common.mybatis.core.page.PageQuery;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.web.core.BaseController;
import jakarta.validation.constraints.NotNull;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 客户基本信息
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/business/home")
@SaIgnore
public class PsHomeController extends BaseController {

    private final IPsCustomInfoService psCustomInfoService;
//    /**
//     * 查询登陆人下所有的客户名称和id
//     */
//    @RepeatSubmit()
//    @SaCheckPermission("business:customInfo:list")
//    @GetMapping("/listByLoginUser")
//    public R<List<PsCustomInfoVo>> listByLoginUser() {
//        return R.ok(psCustomInfoService.listByLoginUser());
//    }


}
