package com.pusong.business.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.pusong.common.tenant.core.TenantEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 公司信息对象 ps_company_info
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_contract_company")
public class PsContractCompany extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 公司ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 公司id
     */
    private Long companyId;
    /**
     *  2逻辑删除  0 默认有效
     */
    private Long delFlag;



}
