package com.pusong.business.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsSalary;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工提成提成业务对象 ps_salary
 *
 * @author wls
 * @date 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PsSalaryBo extends BaseEntity {

    /**
     * 姓名
     */
    private String name;


    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    private Date startDate;


    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    private Date endDate;



}
