package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsSalaryConfig;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode
@AutoMapper(target = PsSalaryConfig.class)
public class SalaryConfigVo {

    /**
     * 服务项目编码
     */
    private String serviceProject;
    /**
     * 成本
     */
    private BigDecimal cost;
    /**
     * 提成比例
     */
    private BigDecimal salaryRatio;
}
