package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsTaskMain;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * task表的extend存储的发票字段
 */
@Data
@ExcelIgnoreUnannotated
public class PsInvoiceVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 购方名称
     */
    private String name;
    /**
     * 税号
     */
    private String taxNum;
    /**
     * 金额
     */
    private String amount;
    /**
     * 发票电话
     */
    private String invoicePhone;

    /**
     * 其他
     */
    private String other;
    /**
     * 抬头
     */
    private String invoiceTitle;
    /**
     * 合同编码
     */
    private String contractCode;
}

