package com.pusong.business.domain.vo.home;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Date;
import java.util.Map;

//渠道支付信息
@Data
public class ChannelPayInfo {

    /**
     * 渠道编码
     */
    private String channel;
    /**
     * 合同编码
     */
    private String contractCode;
    /**
     * 合同金额
     */
    private BigDecimal contractAmount;
    /**
     * 支付类型1回款2退款
     */
    private String businessType;
    /**
     * 回款/退款金额
     */
    private BigDecimal money;

}
