package com.pusong.business.domain.vo.home;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ReturnMoneyInfoVo {
    /**
     * 当前时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date currentDate = new Date();
    /**
     * 统计范围
     */
    private String dateStr;
    /**
     * 当月合同总数
     */
    private Integer contractNum;
    /**
     * 当月合同回款金额
     */
    private BigDecimal sumMoney;
    /**
     * 当月已回款金额
     */
    private BigDecimal payMoney;
    /**
     * 当月未回款金额
     */
    private BigDecimal unPayMoney;

    /**
     * 已回款金额占比
     */
    private String payMoneyPer;
    /**
     * 未回款金额占比
     */
    private String unPayMoneyPer;
}
