package com.pusong.business.mapper;

import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.pusong.business.domain.PsContractBusiness;
import com.pusong.business.domain.vo.PsContractBusinessVo;
import com.pusong.common.mybatis.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 合同服务类别Mapper接口
 *
 * @author wls
 * @date 2024-07-29
 */
public interface PsContractBusinessMapper extends BaseMapperPlus<PsContractBusiness, PsContractBusinessVo> {


    List<PsContractBusinessVo> selectBusinessList(@Param("contractCode") List<String> contractCode, @Param("serviceCompanyId")Long serviceCompanyId);
}
