package com.pusong.business.service.approver.impl;

import com.pusong.business.domain.PsApproverRecord;
import com.pusong.business.enums.ApproverTypeEnum;
import com.pusong.business.mapper.PsApproverRecordMapper;
import com.pusong.business.mapper.PsTaskAppointMapper;
import com.pusong.business.mapper.PsTaskMainMapper;
import com.pusong.business.service.IPsCompanyInfoService;
import com.pusong.business.service.IPsContractInfoService;
import jakarta.annotation.Resource;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 免费工单审批
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class StopAccountServiceImpl extends ApproverAbstractServiceImpl {
    @Override
    public String approverType() {
        return ApproverTypeEnum.STOPACCOUNT.getCode();
    }
    private final PsTaskMainMapper taskMainMapper;
    private final PsTaskAppointMapper taskAppointMapper;
    private final IPsContractInfoService contractInfoService;
    private final IPsCompanyInfoService companyInfoService;
    @Resource
    private PsApproverRecordMapper recordMapper;
    @Override
    public void success(PsApproverRecord psApproverRecord) {
        //修改服务公司状态为终止


    }

    /**
     * 审批拒绝
     * @param psApproverRecord
     */
    @Override
    public void fail(PsApproverRecord psApproverRecord) {

    }



}
