package com.pusong.business.service.impl;

import com.pusong.common.core.utils.MapstructUtils;
import com.pusong.common.core.utils.StringUtils;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.pusong.business.domain.vo.PsTaskAppointVo;
import com.pusong.business.domain.PsTaskAppoint;
import com.pusong.business.mapper.PsTaskAppointMapper;
import com.pusong.business.service.IPsTaskAppointService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 任务委派Service业务层处理
 *
 * @author wls
 * @date 2024-08-07
 */
@RequiredArgsConstructor
@Service
public class PsTaskAppointServiceImpl implements IPsTaskAppointService {

    private final PsTaskAppointMapper baseMapper;

//    /**
//     * 查询任务委派
//     *
//     * @param id 主键
//     * @return 任务委派
//     */
//    @Override
//    public PsTaskAppointVo queryById(Long id){
//        return baseMapper.selectVoById(id);
//    }
//
//    /**
//     * 分页查询任务委派列表
//     *
//     * @param bo        查询条件
//     * @param pageQuery 分页参数
//     * @return 任务委派分页列表
//     */
//    @Override
//    public TableDataInfo<PsTaskAppointVo> queryPageList(PsTaskAppointBo bo, PageQuery pageQuery) {
//        LambdaQueryWrapper<PsTaskAppoint> lqw = buildQueryWrapper(bo);
//        Page<PsTaskAppointVo> result = baseMapper.selectVoPage(pageQuery.build(), lqw);
//        return TableDataInfo.build(result);
//    }
//
//    /**
//     * 查询符合条件的任务委派列表
//     *
//     * @param bo 查询条件
//     * @return 任务委派列表
//     */
//    @Override
//    public List<PsTaskAppointVo> queryList(PsTaskAppointBo bo) {
//        LambdaQueryWrapper<PsTaskAppoint> lqw = buildQueryWrapper(bo);
//        return baseMapper.selectVoList(lqw);
//    }
//
//    private LambdaQueryWrapper<PsTaskAppoint> buildQueryWrapper(PsTaskAppointBo bo) {
//        Map<String, Object> params = bo.getParams();
//        LambdaQueryWrapper<PsTaskAppoint> lqw = Wrappers.lambdaQuery();
//        lqw.eq(bo.getTaskId() != null, PsTaskAppoint::getTaskId, bo.getTaskId());
//        lqw.eq(StringUtils.isNotBlank(bo.getContractCode()), PsTaskAppoint::getContractCode, bo.getContractCode());
//        lqw.eq(StringUtils.isNotBlank(bo.getAppointType()), PsTaskAppoint::getAppointType, bo.getAppointType());
//        lqw.eq(StringUtils.isNotBlank(bo.getAppointStatus()), PsTaskAppoint::getAppointStatus, bo.getAppointStatus());
//        lqw.eq(bo.getExecutor() != null, PsTaskAppoint::getExecutor, bo.getExecutor());
//        return lqw;
//    }
//
//    /**
//     * 新增任务委派
//     *
//     * @param bo 任务委派
//     * @return 是否新增成功
//     */
//    @Override
//    public Boolean insertByBo(PsTaskAppointBo bo) {
//        PsTaskAppoint add = MapstructUtils.convert(bo, PsTaskAppoint.class);
//        validEntityBeforeSave(add);
//        boolean flag = baseMapper.insert(add) > 0;
//        if (flag) {
//            bo.setId(add.getId());
//        }
//        return flag;
//    }
//
//    /**
//     * 修改任务委派
//     *
//     * @param bo 任务委派
//     * @return 是否修改成功
//     */
//    @Override
//    public Boolean updateByBo(PsTaskAppointBo bo) {
//        PsTaskAppoint update = MapstructUtils.convert(bo, PsTaskAppoint.class);
//        validEntityBeforeSave(update);
//        return baseMapper.updateById(update) > 0;
//    }
//
//    /**
//     * 保存前的数据校验
//     */
//    private void validEntityBeforeSave(PsTaskAppoint entity){
//        //TODO 做一些数据校验,如唯一约束
//    }
//
//    /**
//     * 校验并批量删除任务委派信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    @Override
//    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
//        if(isValid){
//            //TODO 做一些业务上的校验,判断是否需要校验
//        }
//        return baseMapper.deleteBatchIds(ids) > 0;
//    }
}
