<!DOCTYPE html>
<html>
<head>
    <title>Report</title>
</head>
<style>
    body{
        font-size:9pt;
    }
    table {
        font-size:9.1pt;
        border-collapse: collapse; /* 合并边框 */
        border: 0.1pt solid black; /* 设置表格整体边框 */
    }
    td{
        border: 0.1pt solid black; /* 设置单元格边框 */
        text-align: center;
        vertical-align: middle;
    }
    .title{
        text-indent:18pt;
        text-align:justify;
        font-weight:bold;
    }
    .content{
        /*margin-bottom:0pt;*/
        text-indent:27pt;
        text-align:justify;
        line-height:100%;
    }
</style>
<body>
<div style="width: 100%;">
<#--    <div style="width: 100% ;height: 5pt; "></div>-->
<#--    <div >-->
<#--        <p style="text-align:center;margin-left:300px;margin-top:1pt; margin-bottom:0pt;">-->
<#--                <span style="">合同编号：PS- </span>-->
<#--                <span style=" text-decoration:underline">${contract.contractCode}&nbsp;&nbsp; </span>-->
<#--                <span style=""> 客户编号: </span>-->
<#--                <span style=" text-decoration:underline">${contract.customId}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-->
<#--                </span></p>-->
<#--    </div>-->
<#--    <div style="width: 100% ;height: 3pt; "></div>-->
<#--    <div style="width: 100% ;height: 0.75pt; background-color: black"></div>-->

    <#--<div style="width: 100% ;height: 17pt; "></div>-->
    <p style=" text-align:center; margin: 0 auto;  font-size:14pt">
        <span style=" font-weight: bold">${main.name}</span></p>
    <p style=" margin: 0 auto; text-align:center;  font-size:16pt">
        <span style=" font-weight:bold">服务合同</span></p>
    <p class="content" style="margin-left:21pt; text-indent:19pt;">本合同由缔约双方在自愿、平等、公平及诚实信用原则的基础上，本着共赢互利原则，根据《中华人民共和国民法典》等</p>
    <p class="content" >相关法律、法规的规定，双方签订以下服务合同以资信守，本服务合同后附的《服务通用条款》为本服务单的有效组成部分</p>
    <p class="content" >(以下合称为“本协议”)，对双方均具有约束力。</p>
    <div style="text-align:center">
        <table style="width:526.55pt; margin-right:auto; margin-left:auto;">
            <tbody>
            <tr >
                <td style="width:88.2pt;height: 30pt">
                    服务公司
                </td>
                <td style="width:88.2pt;height: 30pt">
                    金额
                </td>
                <td style="width:88.2pt;height: 30pt">
                        服务类别
                </td>
                <td style="width:416pt;" colspan="2">
                        具体内容
                </td>
                <td style="width:88.2pt;height: 30pt">
                    是否代账
                </td>
            </tr>
            <#list serviceCompany as company>
            <tr >
                <td>
                    ${company.companyName}
                </td>
                <td>
                    ${company.businessAmount}元
                </td>
                <td>
                    <#list company.businessList as item>
                        <#if item_has_next>
                            ${item.businessTypeName}、
                        <#else>
                            ${item.businessTypeName}
                        </#if>
                    </#list>
                </td>
                <td colspan="2">
                    <#list company.businessList as item>
                        <div style="height: 5pt;width: 1pt"></div>
                        <p class="content" style="text-indent:5pt">
                            ${item.businessTypeName}-金额：${item.businessAmount}元
                            <#if item.businessDesc?? && item.businessDesc != "">
                                -备注：${item.businessDesc}
                            </#if>
                        </p>
                        <#list item.detailBos as detail>
                            <p class="content" style="text-indent:32pt">${detail.businessProjectLabel}
                                <#if detail.extentInfo?? && detail.extentInfo != "">
                                    <#assign extenInfo = detail.extentInfo?split("$")>
                                    ：
                                    <#list extenInfo as exten>
                                        ${exten?split("#")[1]}
                                        <#if exten_has_next>,</#if>
                                    </#list>
                                </#if>
                                <#if detail.amount??>
                                    -金额：${detail.amount}
                                </#if>
                                <#if detail.amountDesc?? && detail.amountDesc != "">
                                    -备注：${detail.amountDesc}
                                </#if>
                            </p>
                        </#list>
                        <#nt>
                    </#list>
                </td>
                <td>
                    <#if company.isProxy?? && company.isProxy == "1">
                        是
                    <#else>
                        否
                    </#if>

                </td>
            </tr>
            </#list>
            <tr >
                <td >
                    付款账号
                </td>
                <td colspan="5" >
                    <div style="height: 5pt;width: 1pt"></div>
                        <div style="float: left;">
                            <p class="content" style="text-indent:5pt">公司名称：${main.name?if_exists}</p>
                            <p class="content" style="text-indent:5pt">账号：${main.account?if_exists}</p>
                            <p class="content" style="text-indent:5pt">开户行：${main.bank?if_exists}</p>
                        </div>
                    <div style="float: left;">
                        <img style=" width:50pt; height:50pt; " src="${imagePath}/doc/image/pay.png"/>
                    </div>
                </td>
            </tr>
            <tr >
                <td colspan="6"  style="width:515pt;   ">
                    <div style="height: 5pt;width: 1pt"></div>
                    <p style="margin:5pt; text-indent:18pt; text-align:justify;  ">
                        <span style="">合同金额：共计￥</span>
                        <span style=" text-decoration:underline"> ${contract.contractAmount}</span>
                        <span style="">元（大写金额：</span>
                        <span style=" text-decoration:underline">${contractAmount} ）</span>
                        <span style="">，垫付项目中涉及银行开户、刻章等，实际价格以第三方机构及政府规定为准。除此之外，甲方无需向乙方支付其他任何费用。</span></p>
                </td>
            </tr>
            <tr >
                <td >
                   付款方式
                </td>
                <td colspan="5">
                    <div style="height: 5pt;width: 1pt"></div>
                    <p class="content" style="text-indent:5pt">${contract.payModeDesc}</p>
                </td>
            </tr>
            <tr >
                <td >
                    合同备注
                </td>
                <td colspan="5">
                    <div style="height: 5pt;width: 1pt"></div>
                    <p class="content" style="text-indent:5pt">
                    <#if contract.signDesc?? && contract.signDesc != "">
                        ${contract.signDesc?if_exists}
                    <#else>
                        无
                    </#if>
                    </p>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <p style=" text-indent:9pt; text-align:justify;  ">
        <span style="">&nbsp;</span></p>
    <p class="title">一、服务期限</p>
    <#if contract.startServiceDate??>
        <p class="content">本合同中的服务周期为
            ${contract.startServiceDate?string('yyyy年MM月dd日')}至${contract.endServiceDate?string('yyyy年MM月dd日')}。
        </p>
    </#if>
    <p class="content">本合同中的企业托管服务，在合同到期前 30 天，乙方有义务告知甲方。如果双方在合同期满前 30 天内未提出终止或变更要</p>
    <p class="content" style="text-indent:0pt;">求，未办理交接手续，本合同将自行延期一年。如为其他业务，则与双方约定时间为准。</p>

    <p class="title">二、甲方权利与义务</p>
    <p class="content">（一）甲方须按本合同约定，按时足额支付服务费用，否则乙方有权拒绝提供服务；</p>
    <p class="content">（二）甲方应无保留地向乙方陈述与代理事务有关的真实情况，提供的资料必须真实合法，且法定代表人、监事、股东等信息</p>
    <p class="content" style="text-indent:0pt;">的提交须经过其本人同意，否则因此导致的所有风险与责任均由甲方自行承担；</p>

    <p class="title">三、乙方权利和义务</p>
    <p class="content">（一）乙方在收到甲方支付的款项后，立即启动本合同约定的服务；</p>
    <p class="content">（二）乙方按照甲方提供的真实有效的企业信息，为甲方办理企业的委托服务；</p>
    <p class="content">（三）乙方应及时将服务办理完毕后形成的相关资料交予甲方；</p>
    <p class="content">（四）除为履行本合同所需外，未经甲方事先同意，乙方不得擅自向第三方泄露甲方的商业信息及其他资料。</p>
    <p class="content">（五）甲方若有违法违规经营情形，或甲方示意乙方提供不当的服务以及其他不符合法律、行政法规的要求，乙方有权拒</p>
    <p class="content" style="text-indent:0pt;">绝；若 甲方坚持其不当要求，乙方有权单方解除本合同，本合同自乙方向甲方发出通知之日起终止，由此造成的相关责任由甲方</p>
    <p class="content" style="text-indent:0pt;">自行承担。</p>
    <p class="content">（六）如甲方不按乙方要求完整、及时地准备和提供相应的资料，导致乙方受托事项办理的延误或未完成，由此所发生的一切</p>
    <p class="content" style="text-indent:0pt;">后果完全由甲方承担，乙方不承担任何责任。</p>

    <p class="title">四、违约责任</p>
    <p class="content">（一）甲乙双方任何一方无正当理由提前终止本合同的，应按照本合同服务总金额的 20%向守约方支付违约金，乙方扣除违约</p>
    <p class="content" style="text-indent:0pt;">金后退还剩余服务期费用；如乙方为甲方注册成立公司后，甲方无正当理由提前解除或终止合同的，乙方不予退还本合同的服务费</p>
    <p class="content" style="text-indent:0pt;">用。</p>
    <p class="content">（二）若甲方拖欠乙方服务费，以应付而未付的金额为基础，按每天万分之五的日利率计收每日逾期利息。若甲方逾期支付达</p>
    <p class="content" style="text-indent:0pt;">1个月，视为甲方主动终止本合同，乙方有权终止提供服务，由此产生的经济、法律及其他责任由甲方自行承担，在甲方未按照本合</p>
    <p class="content" style="text-indent:0pt;">同约定支付服务费和其他费用的情况下，乙方有权将甲方资料予 以留置，在甲方所欠费用结清后，乙方归还甲方相关资料。</p>
    <p class="content">（三）任何一方违反本合同部分条款约定的，不影响其余条款的效力和继续履行。对违约情形，守约方有权要求违约方予以更</p>
    <p class="content" style="text-indent:0pt;">正，若违约方拒绝纠正的，守约方有权单方解除本合同并要求违约方承担违约赔偿责任</p>
    <p class="content">（四）由于乙方过错给甲方造成损失的，乙方应承担赔偿责任，但赔偿责任以该合作周期内所收取的该项服务的服务费用为赔</p>
    <p class="content" style="text-indent:0pt;">偿上限。</p>

    <p class="title">五、不可抗力</p>
    <p class="content">不可抗力是指法律规章或政策变化、社会异常事件（如罢工、骚乱、盗窃、抢劫以及其它不能预见的客观情况）、自然灾害</p>
    <p class="content" style="text-indent:0pt;">（如台风、洪水、冰雹、地震、海啸、火灾、旱灾、大雪、山崩）等对其发生和后果不能防止或避免的事件。</p>
    <p class="content">发生不可抗力事件时，双方应互相协商，寻求公平合理的解决争议途经，并尽一切努力减轻不可抗力造成的不良后果。在不可</p>
    <p class="content" style="text-indent:0pt;">抗力造成本合同无法履行的情况下，双方互不承担责任，且甲方和乙方均有权选择终止本合同，乙方已收款项在扣除已经完成的服务</p>
    <p class="content" style="text-indent:0pt;">费用和已经产生的成本后进行返还。</p>

    <p class="title">六、通知与送达</p>
    <p>甲方确保其通信地址、联系人、联系电话的准确性及有效性，因乙方经努力而无法与甲方取得联系而引起的一切后果，由甲方承担；</p>
    <p class="content">（一）如果是专人送交，则在对方签收视为已送达。</p>
    <p class="content">（二）如用快递、传真发送，则在收到传输确认书的当天被视为送到，如果传输当天不是工作日，或传输时工作日已结束营</p>
    <p class="content" style="text-indent:0pt;">业，则在下一个工作日被视作已送达日。</p>
    <p class="content">（三）以电子邮件、微信等工具发出的，则为发送人的邮件系统确认电子邮件发送至收件人的邮件接收系统后的当天为送达</p>
    <p class="content" style="text-indent:0pt;">日。</p>
    <p class="content">（四）各方均应积极履行通知义务，且确保送达地址的有效及准确，任何一方不得以拒绝签收、无人签收、变更地址未收到等</p>
    <p class="content" style="text-indent:0pt;">理由否定送达效力。</p>
    <p class="content">（五）乙方工商注册环节的企业营业执照、印章等物品的快递费用由乙方承担，注册企业之后所产生的快递（到付）费用由甲</p>
    <p class="content" style="text-indent:0pt;">方自行承担。</p>

    <p class="title">七、合同份数及法律效力</p>
    <p class="content">本合同一式贰份，甲方持壹份，乙方持壹份，每份合同具有相同的法律效力。本合同自双方签署后生效。</p>

    <p class="title">八、其他</p>
    <p class="content">（一）乙方出于宣传目的而采取发放宣传册、广告、网页推广、销售人员宣讲等方式展现的内容不具有合同效力，双方权利义</p>
    <p class="content" style="text-indent:0pt;">务内容以本合同为准。</p>
    <p class="content">（二）乙方工作人员无权向甲方作出超出本合同内容的承诺以及代表乙方以个人形式签署任何文件，双方均应以加盖印章的文</p>
    <p class="content" style="text-indent:0pt;">件作为双方权利义务约定的唯一形式。</p>
    <p class="content">（三）本合同内容若需做出任何修改补充，甲、乙双方共同协商，可形成补充协议，补充协议与本合同冲突的，以补充协议为准。</p>
    <p class="content">（四）因本合同发生争议，双方协商解决；如果协商不成，甲、乙双方一致同意提交仲裁委员会按照其仲裁规则进行裁决，其</p>
    <p class="content" style="text-indent:0pt;">裁决是终局性的，对双方具有约束力。因争议解决产生的案件受理费、律师费、保全费、公证费、鉴定费等由败诉方承担。</p>
    <p class="content">（五）本合同传真及扫描件与合同原件具有同等法律效力。</p>
    <p class="content"> &nbsp;</p>
    <p class="content">甲方名称(签章)： ${company.companyName?if_exists}</p>
    <p class="content">甲方联系人:  ${company.legalPersonName?if_exists}</p>
    <p class="content">联系方式： ${company.legalPersonPhone?if_exists}</p>
    <p class="content">签约日期：  ${contract.applyDate?string('yyyy年MM月dd日')}
        <#--<span style=" text-decoration:underline"></span> 年
        <span style=" text-decoration:underline"></span> 月
        <span style=" text-decoration:underline"></span> 日-->
    </p>
    <p class="content"> &nbsp;</p>

    <p class="content">乙方名称（签章）：  ${main.name?if_exists}</p>
    <p class="content">乙方联系人： ${user.nickname?if_exists}</p>
    <p class="content">联系方式： ${user.phonenumber?if_exists}</p>
    <p class="content">签约日期：  ${contract.applyDate?string('yyyy年MM月dd日')}
        <#--<span style=" text-decoration:underline"> </span> 年
        <span style=" text-decoration:underline"> </span> 月
        <span style=" text-decoration:underline"> </span> 日-->
    </p>

    <#if isSign?? && isSign>
        <div style="height: 500px;width: 100%;padding-top: -120px;padding-left: 120px">
            <img style="width:150px; height:150px;  " src="${imagePath}/doc/image/allZ.png"/>
        </div>
    </#if>

</div>
</body>
</html>