package com.pusong.business.domain.bo;

import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;

@Data
@EqualsAndHashCode
public class MediaCompanySaveBo {
    /**
     * 主任务表id
     */
    private Long id;

    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 公司信息
     */
    @NotNull
    private PsCompanyInfoBo psCompanyInfo;

    /**
     * 资料信息
     */
    private List<PsTaskMediaBo> mediaBoList;
}
