package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsSalary;
import com.pusong.business.domain.PsSalaryConfig;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode
@AutoMapper(target = PsSalaryConfig.class)
public class PsSalaryConfigAddVo {

    /**
     * 模板编码
     */
    private String templateCode;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 岗位id
     */
    private String postId;

    /**
     * 提成详细
     */
    private List<SalaryConfigVo> salaryConfigVoList;
}
