package com.pusong.business.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.pusong.common.tenant.core.TenantEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 公司信息对象 ps_company_info
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
public class PsContractCompanyVo  {

    /**
     * 公司ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 公司id
     */
    private Long companyId;




}
