package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.business.domain.PsContractInfo;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.util.Map;

/**
 * 任务进度Vo
 */
@Data
@ExcelIgnoreUnannotated
public class TaskPlanVo {
    /**
     * 主任务状态
     */
    private String state;

    /**
     * 内勤执行者
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long inExector;
    /**
     * 外勤执行者
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long outExector;
    /**
     * 特勤执行者
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long secExector;
    /**
     * 内勤任务状态
     */
    private String inState;
    /**
     * 外勤任务状态
     */
    private String outState;
    /**
     * 特勤任务状态
     */
    private String secState;

}
