package com.pusong.business.domain.vo.home;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 任务完成情况vo
 */
@Data
public class FinishTaskVo {
    /**
     * 当前时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date currentDate = new Date();
    /**
     * 统计范围
     */
    private String dateStr;
    /**
     * 任务总数
     */
    private Long count;
    /**
     * 任务已完成总数
     */
    private Long finishNum;
    /**
     * 任务完成率
     */
    private String finishPre;

    /**
     * 任务未完成总数
     */
    private Long unfinishNum;
    /**
     * 任务未完成率
     */
    private String unfinishPre;

}
