package com.pusong.business.domain.vo.home;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class UserContractAmountInfo {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名字
     */
    private String nickName;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 是否为续签合同 0：否 1：是
     */
    private String isDue;
    /**
     * 合同类型
     */
    private String businessType;
    /**
     * 客户来源
     */
    private String customSource;
    /**
     * 合同价格
     */
    private BigDecimal contractAmount;
    /**
     * 已付款金额
     */
    private BigDecimal payedMoney;
}
