package com.pusong.business.mapper;

import com.pusong.business.domain.PsContractBusinessDetail;
import com.pusong.business.domain.vo.PsContractBusinessDetailVo;
import com.pusong.common.mybatis.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 合同服务明细Mapper接口
 *
 * @author wls
 * @date 2024-07-29
 */
public interface PsContractBusinessDetailMapper extends BaseMapperPlus<PsContractBusinessDetail, PsContractBusinessDetailVo> {
    List<PsContractBusinessDetailVo> selectByBusId(@Param("busId") Long busId);
}
