package com.pusong.business.service;

import com.pusong.business.domain.vo.PsContractBusinessDetailVo;
import com.pusong.business.domain.bo.PsContractBusinessDetailBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 合同服务明细Service接口
 *
 * @author wls
 * @date 2024-07-29
 */
public interface IPsContractBusinessDetailService {

//    /**
//     * 查询合同服务明细
//     *
//     * @param id 主键
//     * @return 合同服务明细
//     */
//    PsContractBusinessDetailVo queryById(Long id);
//
//    /**
//     * 分页查询合同服务明细列表
//     *
//     * @param bo        查询条件
//     * @param pageQuery 分页参数
//     * @return 合同服务明细分页列表
//     */
//    TableDataInfo<PsContractBusinessDetailVo> queryPageList(PsContractBusinessDetailBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的合同服务明细列表
     *
     * @param bo 查询条件
     * @return 合同服务明细列表
     */
    List<PsContractBusinessDetailVo> queryList(PsContractBusinessDetailBo bo);

//    /**
//     * 新增合同服务明细
//     *
//     * @param bo 合同服务明细
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsContractBusinessDetailBo bo);
//
//    /**
//     * 修改合同服务明细
//     *
//     * @param bo 合同服务明细
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsContractBusinessDetailBo bo);
//
//    /**
//     * 校验并批量删除合同服务明细信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
